# API Documentation

## Create a model
```@docs
@ReactionNetwork
```

## Update model objects
```@docs
@add_species
@aka
@mode
@name_transition
```

## Resource costs
```@docs
@cost
@valuation
@reward
```

## Add reactions
```@docs
@push
@jump
@periodic
```

## Set initial values, uncertainty, and solver arguments
```@docs
@prob_init
@prob_uncertainty
@prob_params
@prob_meta
```

## Model unions
```@docs
@join
@equalize
```

## Model import and export
```@docs
@import_model
@export_model
```

## Solution import and export
```@docs
@import_solution
@export_as_table
@export_csv
@export_solution
```

## Problematize,sSolve, and plot
```@docs
@problematize
@solve
@plot
```

## Optimization and fitting
```@docs
@optimize
@fit
@fit_and_plot
@build_solver
```